import { User } from '../../entities/user';
import { Services } from '../express/server';

export function Create(
  services: Services,
): (tracker: string, user: User) => Promise<User> {
  const { db } = services;
  const coll = db.collection<User>('users');
  const readUser = Read(services);

  return async (tracker, user) => {
    await coll.insertOne(user);
    return readUser(tracker, user.uuid);
  };
}

export function Read(
  services: Services,
): (tracker: string, uuid: string) => Promise<User> {
  const { db } = services;
  const coll = db.collection<User>('users');

  return async (tracker, uuid) => {
    const user = await coll.findOne({ uuid });

    return new User(user || { name: 'not found' });
  };
}
