import { CreateUserBody, UserInfo } from '@core';
import { User } from '../entities/user';
import { Services } from '../framework/express/server';
import * as mongo from '../framework/mongo/user';

export function Create(
  services: Services,
): (tracker: string, raw: CreateUserBody) => Promise<UserInfo> {
  const createUser = mongo.Create(services);

  return async (tracker, raw) => {
    const user = await createUser(tracker, new User(raw));
    return user.Info();
  };
}
